class CandidatesController < ApplicationController
  before_action :set_candidate, only: %i[ show edit update destroy ]

  # GET /candidates or /candidates.json
  def index
    #@candidates = Candidate.all
    @c1 = Candidate.new name: 'I. Szent Viktor', party_id: 1, id: 1
    @c2 = Candidate.new name: 'Frank Underwood', party_id: 2, id: 1
    @c3 = Candidate.new name: 'Claire Underwood', party_id: 2, id: 1
    @c4 = Candidate.new name: 'Bajszos Laszlo', party_id: 1, id: 1
    @c5 = Candidate.new name: 'Kuruc Elod', party_id: 3, id: 1
    @c6 = Candidate.new name: 'Kuruc Dora', party_id: 3, id: 1
    @candidates = [@c1, @c2, @c3, @c4, @c5, @c6]
  end

  # GET /candidates/1 or /candidates/1.json
  def show
  end

  # GET /candidates/new
  def new
    @candidate = Candidate.new
  end

  # GET /candidates/1/edit
  def edit
  end

  # POST /candidates or /candidates.json
  def create
    @candidate = Candidate.new(candidate_params)

    respond_to do |format|
      if @candidate.save
        format.html { redirect_to candidate_url(@candidate), notice: "Candidate was successfully created." }
        format.json { render :show, status: :created, location: @candidate }
      else
        format.html { render :new, status: :unprocessable_entity }
        format.json { render json: @candidate.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /candidates/1 or /candidates/1.json
  def update
    respond_to do |format|
      if @candidate.update(candidate_params)
        format.html { redirect_to candidate_url(@candidate), notice: "Candidate was successfully updated." }
        format.json { render :show, status: :ok, location: @candidate }
      else
        format.html { render :edit, status: :unprocessable_entity }
        format.json { render json: @candidate.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /candidates/1 or /candidates/1.json
  def destroy
    @candidate.destroy

    respond_to do |format|
      format.html { redirect_to candidates_url, notice: "Candidate was successfully destroyed." }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_candidate
      #@candidate = Candidate.find(params[:id])
      @candite = Candidate.new name: 'I. Szent Viktor', party_id: 1, id: 1
    end

    # Only allow a list of trusted parameters through.
    def candidate_params
      params.require(:candidate).permit(:name, :party_id)
    end
end
