class PartiesController < ApplicationController
  before_action :set_party, only: %i[ show edit update destroy ]

  # GET /parties or /parties.json
  def index
    #@parties = Party.all
    @p1 = Party.new name: "Agg Teokratak Szovetsege", abbreviation: "ATESZ", account: '11111111-1111111', active: true, id: 1
    @p2 = Party.new name: "Teokratikus Koalicio", abbreviation: "CU", account: '11111111-1111112', active: true, id: 2
    @p3 = Party.new name: "Mihasznak Mozgalom", abbreviation: "MHM", account: '11111111-1111113', active: true, id: 3
    @parties = [ @p1, @p2, @p3 ]
  end

  # GET /parties/1 or /parties/1.json
  def show
  end

  # GET /parties/new
  def new
    @party = Party.new
  end

  # GET /parties/1/edit
  def edit
  end

  # POST /parties or /parties.json
  def create
    @party = Party.new(party_params)

    respond_to do |format|
      if @party.save
        format.html { redirect_to party_url(@party), notice: "Party was successfully created." }
        format.json { render :show, status: :created, location: @party }
      else
        format.html { render :new, status: :unprocessable_entity }
        format.json { render json: @party.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /parties/1 or /parties/1.json
  def update
    respond_to do |format|
      if @party.update(party_params)
        format.html { redirect_to party_url(@party), notice: "Party was successfully updated." }
        format.json { render :show, status: :ok, location: @party }
      else
        format.html { render :edit, status: :unprocessable_entity }
        format.json { render json: @party.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /parties/1 or /parties/1.json
  def destroy
    @party.destroy

    respond_to do |format|
      format.html { redirect_to parties_url, notice: "Party was successfully destroyed." }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_party
      #@party = Party.find(params[:id])
      @party = Party.new name: "Agg Teokratak Szovetsege", abbreviation: "ATESZ", account: '11111111-1111111', active: true, id: 1
    end

    # Only allow a list of trusted parameters through.
    def party_params
      params.require(:party).permit(:name, :abbreviation, :account, :active)
    end
end
